cpw.mods.fml.repackage.com.nothome.delta

## Class DebugDiffWriter

- java.lang.Object
- - cpw.mods.fml.repackage.com.nothome.delta.DebugDiffWriter

- All Implemented Interfaces:
    DiffWriter, Closeable, AutoCloseable

      public class DebugDiffWriter
      extends Object
      implements DiffWriter

  For debugging patch generation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugDiffWriter()` Constructs a new DebugDiffWriter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCopy(long offset, int length)` Add a GDIFF copy instruction.
    `void` | `addData(byte b)` Add a GDIFF data instruction.
    `void` | `close()` Closes this stream.
    `void` | `flush()` Flushes to output, e.g.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugDiffWriter

          public DebugDiffWriter()

      Constructs a new DebugDiffWriter.

  - ### Method Detail

    - #### addCopy

          public void addCopy(long offset,
                     int length)
                       throws IOException

      Description copied from interface: `DiffWriter`
      Add a GDIFF copy instruction.
      Specified by:
        `addCopy` in interface `DiffWriter`
      Throws:
        `IOException`

    - #### addData

          public void addData(byte b)
                       throws IOException

      Description copied from interface: `DiffWriter`
      Add a GDIFF data instruction. Implementors should buffer the data.
      Specified by:
        `addData` in interface `DiffWriter`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Description copied from interface: `DiffWriter`
      Flushes to output, e.g. any data added.
      Specified by:
        `flush` in interface `DiffWriter`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `DiffWriter`
      Closes this stream. Note that `DiffWriter` will invoke this method at the end.
      Specified by:
        `close` in interface `DiffWriter`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`